package com.dsk;

import cn.dev33.satoken.secure.BCrypt;
import com.google.api.client.util.SecurityUtils;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.metrics.buffering.BufferingApplicationStartup;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 启动程序
 *
 * @author ruoyi
 */

@SpringBootApplication
@EnableScheduling
@EnableAsync(proxyTargetClass = true)
public class DskOperateSysApplication {

    public static void main(String[] args) {
        System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication application = new SpringApplication(DskOperateSysApplication.class);
        application.setApplicationStartup(new BufferingApplicationStartup(2048));
        application.run(args);
        System.out.println("(♥◠‿◠)ﾉﾞ  dsk-operate-sys启动成功   ლ(´ڡ`ლ)ﾞ");
    }

}
